#! /usr/bin/python
import numpy as np
import matplotlib.pyplot as plt

AoA_point_estimated = 120

import csv
with open('AOA_-5(6m).txt','r') as f:
	lines = list(csv.reader(f, delimiter = ',', skipinitialspace = True))	# Printing Specific Part of CSV_file
	#print(lines[0][4])					# Printing last line of second column
	x = np.arange(len(lines)-5)
	y = []
	for i in range(len(lines)-5):
		C = int(lines[i][4])
		#Angle_diff = C - AoA_point_3
		y.append(C)
	#print(y)
plt.plot(x , y, "-g", label="AOA")

print(np.max(y), np.min(y), np.average(y), np.median(y))

plt.ylabel("AOA_diff")
plt.xlabel("BurstID")
plt.title("AoA_point_-5_Average")
plt.show()